ElementRecognizer.HasAttribute (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.game.ElementRecognizer.HasAttribute class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Class ElementRecognizer.HasAttribute

    java.lang.Object
      org.biojava.bio.seq.io.game.ElementRecognizer.HasAttribute

All Implemented Interfaces:
  ElementRecognizer

Enclosing interface:
  ElementRecognizer

    public static class ElementRecognizer.HasAttribute

extends Object
implements ElementRecognizer

Filter elements on the existence of a specified attribute.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.io.game.ElementRecognizer
`ElementRecognizer.AllElementRecognizer, ElementRecognizer.ByLocalName, ElementRecognizer.ByNSName, ElementRecognizer.HasAttribute`

Field Summary

Fields inherited from interface org.biojava.bio.seq.io.game.ElementRecognizer
`ALL`

Constructor Summary
`ElementRecognizer.HasAttribute(String name)`

Method Summary
`boolean` | `filterStartElement(String nsURI, String localName, String qName, Attributes attrs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementRecognizer.HasAttribute

    public ElementRecognizer.HasAttribute(String name)

Method Detail

### filterStartElement

    public boolean filterStartElement(String nsURI,
                                      String localName,
                                      String qName,
                                      Attributes attrs)

  Specified by:
    `filterStartElement` in interface `ElementRecognizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD